# Configure Gnocchi dispatcher for Ceilometer
#
# == Params
#
#  [*filter_service_activity*]
#    (optional) Filter out samples generated by Gnocchi service activity.
#    Defaults to undef.
#
#  [*filter_project*]
#    (optional) Gnocchi project used to filter out samples
#    generated by Gnocchi service activity
#    Defaults to undef.
#
#  [*url*]
#    (optional) Gnocchi URL
#    Defaults to undef.
#
#  [*archive_policy*]
#    (optional) The archive policy to use when the dispatcher
#    Defaults to undef.
#
#  [*resources_definition_file*]
#    (optional) The Yaml file that defines mapping between samples
#    and gnocchi resources/metrics.
#    Defaults to undef.
#
class ceilometer::dispatcher::gnocchi (
  $filter_service_activity   = undef,
  $filter_project            = undef,
  $url                       = undef,
  $archive_policy            = undef,
  $resources_definition_file = undef,
) {

  ceilometer_config {
    'dispatcher_gnocchi/filter_service_activity':   value => $filter_service_activity;
    'dispatcher_gnocchi/filter_project':            value => $filter_project;
    'dispatcher_gnocchi/url':                       value => $url;
    'dispatcher_gnocchi/archive_policy':            value => $archive_policy;
    'dispatcher_gnocchi/resources_definition_file': value => $resources_definition_file;
  }

}
